Get project concept folders

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/concept-folders

Retrieve all the folders the concepts of a specific project are sorted in, ordered by name. A concept names its folder through its parent_id.

Path parameters

  • project_id Required

    Unique identifier of the project

Responses

  • 200 application/json

    List of project concept folders successfully retrieved

    Hide response attributes Show response attributes object
    • id string(uuid)

      Concept folder unique identifier

    • name string

      Concept folder name

    • project_id string(uuid)

      Project identifier

    • created_by string(uuid)

      Creator person identifier

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

GET /data/projects/{project_id}/concept-folders
curl \
 --request GET 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/concept-folders' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "e68e02e8-a219-8009-e514-91897426a691",
    "name": "Characters",
    "project_id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "created_by": "d57d91d7-f108-7998-d403-80786315f580",
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:00:00Z"
  }
]